Error: PaymentApp no se ejecuta con el builder react 3.x y pages 1.x

[ES] Hola comunidad estoy trabajando en realizar una payment app dentro de VTEX y junto con ella una app en el administrador para realizar algunas configuraciones en la misma, pero al momento de usar el builder de react 3.x para desarrollar la app del administrador la payment deja de funcionar, pienso que esto esta realcionado con el builder pages ya que la version 3.x de react exige que se use la version 1.x de pages y al tener esta combinacion de builder en el checkout ya no se registra la extension correspondiente a la payment app.

[PT] Ol√° comunidade Estou trabalhando na cria√ß√£o de um aplicativo de pagamento dentro da VTEX e junto com ele um aplicativo no administrador para fazer algumas configura√ß√Ķes nele, mas ao usar o construtor do react 3.x para desenvolver o aplicativo de pagamento do administrador para de funcionar, acho que isso est√° relacionado √†s p√°ginas do construtor, pois a vers√£o 3.x do react exige que voc√™ use a vers√£o 1.x das p√°ginas e tendo essa combina√ß√£o de construtor no checkout e a extens√£o para o aplicativo de pagamento n√£o est√° registrada.

[ES] Este es el error en el checkout ya que no se registro la extension de la payment app en runtimeBuilder:

[PT] Este é o erro no checkout porque a extensão do aplicativo de pagamento não está registrada no runtimeBuilder:

image

[ES] Pero si bajo las versiones a react 2.x y pages 1.x funciona correctamente la payment app, pero la app de administrador se rompe con este error:

[PT] Mas se eu fizer o downgrade para react 2.x e pages 1.x, o aplicativo de pagamento funcionará corretamente, mas o aplicativo de administração será interrompido com este erro:

TypeError: Cannot read property ‚ÄėstartsWith‚Äô of undefined

1 Like

I am experiencing the same issue in my payment-app, with the same specifications.

The problem arises when changing the version from page 1.x

Hi @BrayanCamargo ,

to develop a payment app, for now it is only possible with react 2.x.
I confirmed it, with the support of VTEX.